Bug 949158 - Arduino included unclear code and license tag missing
Arduino included unclear code and license tag missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: arduino (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-04-06 08:24 EDT by mejiko
Modified: 2016-01-07 05:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 05:25:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2013-04-06 08:24:45 EDT
Hello.

Arduino included unclear licensed code. Its non-free.
and missing license tag.

I type command:

"find . -type f |xargs less"

All files checking license status.  (Exclude GPL or LGPL licensed code)


File list:

## app directory


# Unknown (license statement not find)

arduino-1.0.1/app/src/processing/app/i18n_update.sh
arduino-1.0.1/app/src/processing/app/Resources.java
arduino-1.0.1/app/src/processing/app/I18n.java
arduino-1.0.1/app/src/processing/app/syntax/im/InputMethodSupport.java
arduino-1.0.1/app/src/processing/app/syntax/im/CompositionTextManager.java
arduino-1.0.1/app/src/processing/app/syntax/im/CompositionTextPainter.java
arduino-1.0.1/app/src/processing/app/i18n_update.py
arduino-1.0.1/app/.classpath
arduino-1.0.1/app/.project
arduino-1.0.1/app/.classpath_macosx
arduino-1.0.1/app/.classpath_vista
arduino-1.0.1/app/.settings/org.eclipse.jdt.ui.prefs
arduino-1.0.1/app/.settings/org.eclipse.jdt.core.prefs
arduino-1.0.1/app/build.xml
arduino-1.0.1/app/src/processing/app/WebServer.java


## BSD/MIT like License (See arduino-1.0.1/app/src/processing/app/syntax/readme.txt)

arduino-1.0.1/app/src/processing/app/syntax/DefaultInputHandler.java
arduino-1.0.1/app/src/processing/app/syntax/TokenMarker.java
arduino-1.0.1/app/src/processing/app/syntax/TextAreaDefaults.java
arduino-1.0.1/app/src/processing/app/syntax/TextAreaPainter.java
arduino-1.0.1/app/src/processing/app/syntax/TextUtilities.java
arduino-1.0.1/app/src/processing/app/syntax/KeywordMap.java
arduino-1.0.1/app/src/processing/app/syntax/SyntaxUtilities.java
arduino-1.0.1/app/src/processing/app/syntax/SyntaxStyle.java
arduino-1.0.1/app/src/processing/app/syntax/JEditTextArea.java
arduino-1.0.1/app/src/processing/app/syntax/InputHandler.java
arduino-1.0.1/app/src/processing/app/syntax/CTokenMarker.java
arduino-1.0.1/app/src/processing/app/syntax/SyntaxDocument.java
arduino-1.0.1/app/src/processing/app/syntax/Token.java





## build directory

# Unknown (license statement not find)

arduino-1.0.1/build/shared/tools/howto.txt
arduino-1.0.1/build/shared/lib/keywords.txt
arduino-1.0.1/build/shared/lib/theme/theme.txt
arduino-1.0.1/build/shared/lib/preferences.txt
arduino-1.0.1/build/shared/revisions.txt 
arduino-1.0.1/build/shared/tools/Mangler/make.sh
arduino-1.0.1/build/shared/examples/07.Display/RowColumnScanning/RowColumnScanning.ino
arduino-1.0.1/build/shared/examples/01.Basics/BareMinimum/BareMinimum.ino
arduino-1.0.1/build/shared/examples/02.Digital/toneMelody/pitches.h
arduino-1.0.1/build/shared/examples/02.Digital/toneKeyboard/pitches.h
arduino-1.0.1/build/shared/examples/02.Digital/toneMultiple/pitches.h
arduino-1.0.1/build/fetch.sh 
arduino-1.0.1/build/build.xml
arduino-1.0.1/build/create_reference.pl
arduino-1.0.1/build/javadoc/*
arduino-1.0.1/build/linux/dist/arduino
arduino-1.0.1/build/howto.txt
arduino-1.0.1/build/cmd/dist/processing
arduino-1.0.1/build/cmd/dist.sh

# BSD License

arduino-1.0.1/build/shared/examples/ArduinoISP/ArduinoISP.ino



# Public domain

arduino-1.0.1/build/shared/examples/03.Analog/Smoothing/Smoothing.ino
arduino-1.0.1/build/shared/examples/03.Analog/Calibration/Calibration.ino
arduino-1.0.1/build/shared/examples/03.Analog/Fading/Fading.ino
arduino-1.0.1/build/shared/examples/03.Analog/AnalogInput/AnalogInput.ino
arduino-1.0.1/build/shared/examples/03.Analog/AnalogInOutSerial/AnalogInOutSerial.ino
arduino-1.0.1/build/shared/examples/03.Analog/AnalogWriteMega/AnalogWriteMega.ino
arduino-1.0.1/build/shared/examples/01.Basics/DigitalReadSerial/DigitalReadSerial.ino
arduino-1.0.1/build/shared/examples/01.Basics/AnalogReadSerial/AnalogReadSerial.ino
arduino-1.0.1/build/shared/examples/01.Basics/ReadAnalogVoltage/ReadAnalogVoltage.ino
arduino-1.0.1/build/shared/examples/01.Basics/Blink/Blink.ino
arduino-1.0.1/build/shared/examples/01.Basics/Fade/Fade.ino
arduino-1.0.1/build/shared/examples/07.Display/barGraph/barGraph.ino
arduino-1.0.1/build/shared/examples/02.Digital/Button/Button.ino
arduino-1.0.1/build/shared/examples/02.Digital/tonePitchFollower/tonePitchFollower.ino
arduino-1.0.1/build/shared/examples/02.Digital/toneMelody/toneMelody.ino
arduino-1.0.1/build/shared/examples/02.Digital/StateChangeDetection/StateChangeDetection.ino
arduino-1.0.1/build/shared/examples/02.Digital/toneKeyboard/toneKeyboard.ino
arduino-1.0.1/build/shared/examples/02.Digital/BlinkWithoutDelay/BlinkWithoutDelay.ino
arduino-1.0.1/build/shared/examples/02.Digital/Debounce/Debounce.ino
arduino-1.0.1/build/shared/examples/02.Digital/toneMultiple/toneMultiple.ino
arduino-1.0.1/build/shared/examples/02.Digital/DigitalIputPullup/DigitalIputPullup.ino
arduino-1.0.1/build/shared/examples/09.USB(Leonardo)/Keyboard/KeyboardLogout/KeyboardLogout.ino
arduino-1.0.1/build/shared/examples/09.USB(Leonardo)/Keyboard/KeyboardSerial/KeyboardSerial.ino
arduino-1.0.1/build/shared/examples/09.USB(Leonardo)/Keyboard/KeyboardReprogram/KeyboardReprogram.ino
arduino-1.0.1/build/shared/examples/09.USB(Leonardo)/Keyboard/KeyboardMessage/KeyboardMessage.ino
arduino-1.0.1/build/shared/examples/09.USB(Leonardo)/KeyboardAndMouseControl/KeyboardAndMouseControl.ino
arduino-1.0.1/build/shared/examples/09.USB(Leonardo)/Mouse/JoystickMouseControl/JoystickMouseControl.ino
arduino-1.0.1/build/shared/examples/09.USB(Leonardo)/Mouse/ButtonMouseControl/ButtonMouseControl.ino
arduino-1.0.1/build/shared/examples/ArduinoISP/ArduinoISP.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringComparisonOperators/StringComparisonOperators.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringLengthTrim/StringLengthTrim.ino
arduino-1.0.1/build/shared/examples/08.Strings/CharacterAnalysis/CharacterAnalysis.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringLength/StringLength.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringToInt/StringToInt.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringCharacters/StringCharacters.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringReplace/StringReplace.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringToIntRGB/StringToIntRGB.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringStartsWithEndsWith/StringStartsWithEndsWith.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringAdditionOperator/StringAdditionOperator.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringIndexOf/StringIndexOf.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringCaseChanges/StringCaseChanges.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringAppendOperator/StringAppendOperator.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringConstructors/StringConstructors.ino
arduino-1.0.1/build/shared/examples/08.Strings/StringSubstring/StringSubstring.ino
arduino-1.0.1/build/shared/examples/04.Communication/ReadASCIIString/ReadASCIIString.ino
arduino-1.0.1/build/shared/examples/04.Communication/Graph/Graph.ino
arduino-1.0.1/build/shared/examples/04.Communication/SerialCallResponseASCII/SerialCallResponseASCII.ino
arduino-1.0.1/build/shared/examples/04.Communication/ASCIITable/ASCIITable.ino
arduino-1.0.1/build/shared/examples/04.Communication/SerialEvent/SerialEvent.ino
arduino-1.0.1/build/shared/examples/04.Communication/Dimmer/Dimmer.ino
arduino-1.0.1/build/shared/examples/04.Communication/PhysicalPixel/PhysicalPixel.ino
arduino-1.0.1/build/shared/examples/04.Communication/MIDI/Midi.ino
arduino-1.0.1/build/shared/examples/04.Communication/SerialCallResponse/SerialCallResponse.ino
arduino-1.0.1/build/shared/examples/04.Communication/VirtualColorMixer/VirtualColorMixer.ino
arduino-1.0.1/build/shared/examples/04.Communication/MultiSerialMega/MultiSerialMega.ino
arduino-1.0.1/build/shared/examples/06.Sensors/ADXL3xx/ADXL3xx.ino
arduino-1.0.1/build/shared/examples/06.Sensors/Memsic2125/Memsic2125.ino
arduino-1.0.1/build/shared/examples/06.Sensors/Ping/Ping.ino
arduino-1.0.1/build/shared/examples/06.Sensors/Knock/Knock.ino
arduino-1.0.1/build/shared/examples/05.Control/IfStatementConditional/IfStatementConditional.ino
arduino-1.0.1/build/shared/examples/05.Control/switchCase2/switchCase2.ino
arduino-1.0.1/build/shared/examples/05.Control/switchCase/switchCase.ino
arduino-1.0.1/build/shared/examples/05.Control/ForLoopIteration/ForLoopIteration.ino
arduino-1.0.1/build/shared/examples/05.Control/Arrays/Arrays.ino
arduino-1.0.1/build/shared/examples/05.Control/WhileStatementConditional/WhileStatementConditional.ino



## core directory


# Unknown (license statement not find)

arduino-1.0.1/core/make.sh 
arduino-1.0.1/core/api.txt
arduino-1.0.1/core/done.txt
arduino-1.0.1/core/todo.txt
arduino-1.0.1/core/.settings/org.eclipse.jdt.ui.prefs
arduino-1.0.1/core/.settings/org.eclipse.jdt.core.prefs
arduino-1.0.1/core/build.xml
arduino-1.0.1/core/src/processing/core/PShapeSVG.java
arduino-1.0.1/core/preproc.pl
arduino-1.0.1/core/.classpath
arduino-1.0.1/core/preproc/build.xml
arduino-1.0.1/core/preproc/src/processing/build/PAppletMethods.java
arduino-1.0.1/core/preproc/.classpath
arduino-1.0.1/core/preproc/.project
arduino-1.0.1/core/.project
arduino-1.0.1/core/methods/build.xml 
arduino-1.0.1/core/methods/src/PAppletMethods.java
arduino-1.0.1/core/methods/.classpath
arduino-1.0.1/core/methods/.project

# Zlib 

arduino-1.0.1/core/src/processing/xml/StdXMLReader.java
arduino-1.0.1/core/src/processing/xml/XMLWriter.java
arduino-1.0.1/core/src/processing/xml/XMLException.java
arduino-1.0.1/core/src/processing/xml/StdXMLParser.java
arduino-1.0.1/core/src/processing/xml/XMLValidationException.java
arduino-1.0.1/core/src/processing/xml/XMLValidator.java
arduino-1.0.1/core/src/processing/xml/XMLParseException.java
arduino-1.0.1/core/src/processing/xml/XMLAttribute.java
arduino-1.0.1/core/src/processing/xml/XMLElement.java
arduino-1.0.1/core/src/processing/xml/PIReader.java
arduino-1.0.1/core/src/processing/xml/StdXMLBuilder.java
arduino-1.0.1/core/src/processing/xml/ContentReader.java
arduino-1.0.1/core/src/processing/xml/XMLEntityResolver.java
arduino-1.0.1/core/src/processing/xml/XMLUtil.java
arduino-1.0.1/core/src/processing/xml/CDATAReader.java


## Hardware directory


# Binary blob

arduino-1.0.1/hardware/arduino/firmwares/MEGA-dfu_and_usbserial_combined.hex
arduino-1.0.1/hardware/arduino/firmwares/Arduino-COMBINED-dfu-usbserial-atmega16u2-Mega2560-Rev3.hex
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-atmega16u2-Uno-Rev3.hex
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-mega.hex
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-atmega16u2-Mega2560-Rev3.hex
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-uno.hex
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial-atmega16u2-MegaADK-Rev3.hex
arduino-1.0.1/hardware/arduino/firmwares/UNO-dfu_and_usbserial_combined.hex
arduino-1.0.1/hardware/arduino/firmwares/Arduino-COMBINED-dfu-usbserial-atmega16u2-MegaADK-Rev3.hex
arduino-1.0.1/hardware/arduino/firmwares/Arduino-COMBINED-dfu-usbserial-atmega16u2-Uno-Rev3.hex
arduino-1.0.1/hardware/arduino/bootloaders/atmega8/ATmegaBOOT.hex
arduino-1.0.1/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_diecimila.hex 
arduino-1.0.1/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_ng.hex
arduino-1.0.1/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_atmega328.hex 
arduino-1.0.1/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_pro_8MHz.hex
arduino-1.0.1/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_atmega1280.hex
arduino-1.0.1/hardware/arduino/bootloaders/atmega/ATmegaBOOT_168_atmega328_pro_8MHz.hex
arduino-1.0.1/hardware/arduino/bootloaders/stk500v2/stk500boot_v2_mega2560.hex
arduino-1.0.1/hardware/arduino/bootloaders/bt/ATmegaBOOT_168.hex
arduino-1.0.1/hardware/arduino/bootloaders/bt/ATmegaBOOT_168_atmega328_bt.hex 
arduino-1.0.1/hardware/arduino/bootloaders/caterina/Caterina-Leonardo.hex 
arduino-1.0.1/hardware/arduino/bootloaders/lilypad/LilyPadBOOT_168.hex
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/optiboot_atmega8.hex
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/optiboot_atmega328-Mini.hex
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/optiboot_atmega168.hex
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/optiboot_atmega328.hex


# MIT/X11 license

arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Descriptors.h
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial.h
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Arduino-usbserial.c
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Board/LEDs.h
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Descriptors.c
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/Lib/LightweightRingBuff.h
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbdfu/Descriptors.h 
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbdfu/Arduino-usbdfu.c
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbdfu/Arduino-usbdfu.h
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbdfu/Board/LEDs.h
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbdfu/Descriptors.c
arduino-1.0.1/hardware/arduino/bootloaders/caterina/Caterina.c
arduino-1.0.1/hardware/arduino/bootloaders/caterina/Descriptors.h
arduino-1.0.1/hardware/arduino/bootloaders/caterina/Caterina.h
arduino-1.0.1/hardware/arduino/bootloaders/caterina/Descriptors.c
arduino-1.0.1/hardware/arduino/cores/arduino/IPAddress.h
arduino-1.0.1/hardware/arduino/cores/arduino/USBCore.h
arduino-1.0.1/hardware/arduino/cores/arduino/Udp.h


# BSD License
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/boot.h 


# MIT/BSD like

arduino-1.0.1/hardware/arduino/cores/arduino/USBDesc.h 
arduino-1.0.1/hardware/arduino/cores/arduino/CDC.cpp
arduino-1.0.1/hardware/arduino/cores/arduino/USBCore.cpp
arduino-1.0.1/hardware/arduino/cores/arduino/HID.cpp



# Unknown (No copyright / license statement not find)

arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/makefile
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbserial/readme.txt
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbdfu/makefile
arduino-1.0.1/hardware/arduino/firmwares/arduino-usbdfu/readme.txt
arduino-1.0.1/hardware/arduino/firmwares/README.txt 
arduino-1.0.1/hardware/arduino/boards.txt
arduino-1.0.1/hardware/arduino/bootloaders/atmega8/Makefile
arduino-1.0.1/hardware/arduino/bootloaders/atmega/Makefile
arduino-1.0.1/hardware/arduino/bootloaders/stk500v2/avrinterruptnames.h
arduino-1.0.1/hardware/arduino/bootloaders/stk500v2/command.h
arduino-1.0.1/hardware/arduino/bootloaders/stk500v2/stk500boot.ppg
arduino-1.0.1/hardware/arduino/bootloaders/stk500v2/STK500V2.pnproj
arduino-1.0.1/hardware/arduino/bootloaders/stk500v2/STK500V2.pnps
arduino-1.0.1/hardware/arduino/bootloaders/stk500v2/Makefile
arduino-1.0.1/hardware/arduino/bootloaders/bt/Makefile
arduino-1.0.1/hardware/arduino/bootloaders/caterina/Makefile
arduino-1.0.1/hardware/arduino/bootloaders/lilypad/src/Makefile
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/README.TXT
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/omake.bat
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/omake
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/optiboot_atmega8.lst
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/optiboot_atmega168.lst
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/makeall
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/stk500.h
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/Makefile
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/optiboot_atmega328.lst
arduino-1.0.1/hardware/arduino/bootloaders/optiboot/pin_defs.h
arduino-1.0.1/hardware/arduino/programmers.txt
arduino-1.0.1/hardware/arduino/cores/arduino/Arduino.h
arduino-1.0.1/hardware/arduino/cores/arduino/USBAPI.h
arduino-1.0.1/hardware/arduino/cores/arduino/Client.h
arduino-1.0.1/hardware/arduino/cores/arduino/IPAddress.cpp 
arduino-1.0.1/hardware/arduino/cores/arduino/Platform.h
arduino-1.0.1/hardware/arduino/cores/arduino/binary.h 
arduino-1.0.1/hardware/arduino/cores/arduino/new.cpp
arduino-1.0.1/hardware/arduino/cores/arduino/new.h
arduino-1.0.1/hardware/arduino/cores/arduino/main.cpp
arduino-1.0.1/hardware/arduino/cores/arduino/Server.h


## libraries directory

# MIT License

arduino-1.0.1/libraries/Ethernet/EthernetUdp.cpp
arduino-1.0.1/libraries/Ethernet/EthernetUdp.h

# Apache License (Version 2.0)

arduino-1.0.1/libraries/Ethernet/Dns.cpp


# Unknown (license statement not find)

arduino-1.0.1/libraries/Ethernet/examples/BarometricPressureWebServer/BarometricPressureWebServer.ino
arduino-1.0.1/libraries/Ethernet/examples/WebClient/WebClient.ino
arduino-1.0.1/libraries/Ethernet/examples/WebServer/WebServer.ino
arduino-1.0.1/libraries/Ethernet/examples/DnsWebClient/DnsWebClient.ino
arduino-1.0.1/libraries/Ethernet/examples/DhcpChatServer/DhcpChatServer.ino 
arduino-1.0.1/libraries/Ethernet/examples/DhcpAddressPrinter/DhcpAddressPrinter.ino
arduino-1.0.1/libraries/Ethernet/examples/TelnetClient/TelnetClient.ino
arduino-1.0.1/libraries/Ethernet/examples/ChatServer/ChatServer.ino
arduino-1.0.1/libraries/SPI/examples/BarometricPressureSensor/BarometricPressureSensor/BarometricPressureSensor.ino
arduino-1.0.1/libraries/SPI/examples/BarometricPressureSensor/BarometricPressureSensor.ino
arduino-1.0.1/libraries/SPI/examples/DigitalPotControl/DigitalPotControl.ino
arduino-1.0.1/libraries/SD/examples/CardInfo/CardInfo.ino
arduino-1.0.1/libraries/Stepper/examples/stepper_oneStepAtATime/stepper_oneStepAtATime.ino
arduino-1.0.1/libraries/Stepper/examples/stepper_oneRevolution/stepper_oneRevolution.ino
arduino-1.0.1/libraries/Stepper/examples/stepper_speedControl/stepper_speedControl.ino
arduino-1.0.1/libraries/EEPROM/examples/eeprom_write/eeprom_write.ino
arduino-1.0.1/libraries/Ethernet/EthernetClient.h
arduino-1.0.1/libraries/Ethernet/Ethernet.h
arduino-1.0.1/libraries/Ethernet/EthernetServer.cpp
arduino-1.0.1/libraries/Ethernet/EthernetClient.cpp
arduino-1.0.1/libraries/Ethernet/keywords.txt
arduino-1.0.1/libraries/Ethernet/Ethernet.cpp
arduino-1.0.1/libraries/Ethernet/Dns.h
arduino-1.0.1/libraries/Ethernet/Dhcp.cpp
arduino-1.0.1/libraries/Ethernet/EthernetServer.h
arduino-1.0.1/libraries/Ethernet/util.h 
arduino-1.0.1/libraries/Ethernet/Dhcp.h
arduino-1.0.1/libraries/Ethernet/utility/socket.cpp
arduino-1.0.1/libraries/Ethernet/utility/socket.h
arduino-1.0.1/libraries/Wire/keywords.txt
arduino-1.0.1/libraries/SoftwareSerial/keywords.txt
arduino-1.0.1/libraries/SPI/keywords.txt
arduino-1.0.1/libraries/SD/keywords.txt
arduino-1.0.1/libraries/LiquidCrystal/LiquidCrystal.h
arduino-1.0.1/libraries/LiquidCrystal/LiquidCrystal.cpp
arduino-1.0.1/libraries/LiquidCrystal/keywords.txt
arduino-1.0.1/libraries/Firmata/TODO.txt
arduino-1.0.1/libraries/Firmata/Boards.h
arduino-1.0.1/libraries/Firmata/keywords.txt
arduino-1.0.1/libraries/Stepper/Stepper.cpp
arduino-1.0.1/libraries/Stepper/Stepper.h
arduino-1.0.1/libraries/Stepper/keywords.txt
arduino-1.0.1/libraries/EEPROM/keywords.txt
arduino-1.0.1/libraries/Servo/keywords.txt



# Public domain

arduino-1.0.1/libraries/Ethernet/examples/CosmClientString/CosmClientString.ino
arduino-1.0.1/libraries/Ethernet/examples/PachubeClientString/PachubeClientString.ino
arduino-1.0.1/libraries/Ethernet/examples/CosmClient/CosmClient.ino
arduino-1.0.1/libraries/Ethernet/examples/TwitterClient/TwitterClient.ino
arduino-1.0.1/libraries/Ethernet/examples/PachubeClient/PachubeClient.ino
arduino-1.0.1/libraries/Ethernet/examples/WebClientRepeating/WebClientRepeating.ino
arduino-1.0.1/libraries/Ethernet/examples/UdpNtpClient/UdpNtpClient.ino
arduino-1.0.1/libraries/Ethernet/examples/UDPSendReceiveString/UDPSendReceiveString.ino
arduino-1.0.1/libraries/Wire/examples/slave_sender/slave_sender.ino
arduino-1.0.1/libraries/Wire/examples/master_reader/master_reader.ino
arduino-1.0.1/libraries/Wire/examples/slave_receiver/slave_receiver.ino
arduino-1.0.1/libraries/Wire/examples/SFRRanger_reader/SFRRanger_reader.ino
arduino-1.0.1/libraries/Wire/examples/master_writer/master_writer.ino
arduino-1.0.1/libraries/Wire/examples/digital_potentiometer/digital_potentiometer.ino
arduino-1.0.1/libraries/SoftwareSerial/examples/SoftwareSerialExample/SoftwareSerialExample.ino
arduino-1.0.1/libraries/SoftwareSerial/examples/TwoPortReceive/TwoPortReceive.ino
arduino-1.0.1/libraries/SD/examples/listfiles/listfiles.ino
arduino-1.0.1/libraries/SD/examples/Files/Files.ino
arduino-1.0.1/libraries/SD/examples/Datalogger/Datalogger.ino
arduino-1.0.1/libraries/SD/examples/DumpFile/DumpFile.ino
arduino-1.0.1/libraries/SD/examples/ReadWrite/ReadWrite.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/SerialDisplay/SerialDisplay.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/Cursor/Cursor.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/Scroll/Scroll.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/Display/Display.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/Blink/Blink.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/TextDirection/TextDirection.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/HelloWorld/HelloWorld.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/CustomCharacter/CustomCharacter.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/Autoscroll/Autoscroll.ino
arduino-1.0.1/libraries/LiquidCrystal/examples/setCursor/setCursor.ino
arduino-1.0.1/libraries/Firmata/examples/EchoString/EchoString.ino
arduino-1.0.1/libraries/Firmata/examples/AnalogFirmata/AnalogFirmata.ino
arduino-1.0.1/libraries/Firmata/examples/SimpleDigitalFirmata/SimpleDigitalFirmata.ino
arduino-1.0.1/libraries/Firmata/examples/AllInputsFirmata/AllInputsFirmata.ino
arduino-1.0.1/libraries/Firmata/examples/SimpleAnalogFirmata/SimpleAnalogFirmata.ino
arduino-1.0.1/libraries/Firmata/examples/ServoFirmata/ServoFirmata.ino
arduino-1.0.1/libraries/Stepper/examples/MotorKnob/MotorKnob.ino
arduino-1.0.1/libraries/EEPROM/examples/eeprom_clear/eeprom_clear.ino
arduino-1.0.1/libraries/EEPROM/examples/eeprom_read/eeprom_read.ino
arduino-1.0.1/libraries/Servo/examples/Sweep/Sweep.ino
arduino-1.0.1/libraries/Servo/examples/Knob/Knob.ino

## TOP directory

# Unknown (license statement not find)

arduino-1.0.1/todo.txt
arduino-1.0.1/.classpath
arduino-1.0.1/.project
arduino-1.0.1/readme.txt 


Suggests:

1. Remove non-free code and rebuild.

2. Replace to Fedora free (Fedora Acceptable licensed ) code.

3. Remove Fedora repo.


Thanks.


Reference:

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing
Comment 1 mejiko 2013-04-06 08:25:45 EDT
Blocking FE-Legal, This is license problem.
Comment 2 mejiko 2013-04-06 08:31:48 EDT
Im sorry, "arduino-1.0.1/build/shared/examples/ArduinoISP/ArduinoISP.ino" is licensed under BSD License, not public domain.
Comment 3 mejiko 2013-08-04 22:43:38 EDT
Fedora 19 version is not resolved this problem.
Comment 4 mejiko 2014-03-15 06:06:59 EDT
Changed to rawhide.

How it this bug current status ? 
Is this bug is resolved ?

Thanks.
Comment 5 Peter Oliver 2014-03-15 09:11:00 EDT
I understand there is some work going on on this upstream: https://groups.google.com/a/arduino.cc/forum/?fromgroups#!topicsearch/license|sort:date|spell:true/developers/QeDMRF__qXs
Comment 6 Jaroslav Reznik 2015-03-03 09:54:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 7 Fedora Admin XMLRPC Client 2015-11-19 16:00:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2015-11-24 14:59:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Update System 2015-12-25 16:22:58 EST
arduino-1.6.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f52087759e
Comment 10 Fedora Update System 2015-12-28 19:56:02 EST
arduino-1.6.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f52087759e
Comment 11 Fedora Update System 2015-12-31 03:14:49 EST
arduino-1.6.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7e72969b8
Comment 12 Fedora Update System 2016-01-02 22:23:42 EST
arduino-1.6.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7e72969b8

Note You need to log in before you can comment on or make changes to this bug.